printer_create_font
printer_delete_brush
Printer Functions
PHP Manual

# printer_create_pen

Create a new pen

### Description

resource printer_create_pen ( int `$style` , int `$width` , string `$color` )

The function creates a new pen and returns a handle to it. A pen is used to draw lines and curves. For an example see printer_select_pen.

### Parameters

`style`

  `style` must be one of the following constants:

  - `PRINTER_PEN_SOLID`: creates a solid pen.
  - `PRINTER_PEN_DASH`: creates a dashed pen.
  - `PRINTER_PEN_DOT`: creates a dotted pen.
  - `PRINTER_PEN_DASHDOT`: creates a pen with dashes and dots.
  - `PRINTER_PEN_DASHDOTDOT`: creates a pen with dashes and double dots.
  - `PRINTER_PEN_INVISIBLE`: creates an invisible pen.
`width`

  `width` specifies the width of the pen.

`color`

  `color` must be a color in RGB hex format, i.e. "000000" for black.

### Return Values

Returns a pen handle or `FALSE` on error.